> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ilitylabs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a fix prompt

> Returns a ready-made prompt that describes the issue, the failing markup, and how to fix it, for a coding assistant working in the site's codebase.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/issues/{id}/fix-prompt
openapi: 3.1.0
info:
  title: ility API
  version: 1.0.0
  description: Read accessibility results and start scans in your ility workspace.
servers:
  - url: https://app.ilitylabs.com
security:
  - apiKey: []
tags:
  - name: Workspaces
  - name: Surfaces
  - name: Domains
  - name: Scans
  - name: Issues
paths:
  /v1/issues/{id}/fix-prompt:
    get:
      tags:
        - Issues
      summary: Get a fix prompt
      description: >-
        Returns a ready-made prompt that describes the issue, the failing
        markup, and how to fix it, for a coding assistant working in the site's
        codebase.
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: id
          in: path
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IssueFixPromptResponse'
        '400':
          description: Invalid UUID
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Issue not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    IssueFixPromptResponse:
      type: object
      properties:
        issue_id:
          type: string
          format: uuid
        issue_number:
          type:
            - integer
            - 'null'
        app_url:
          type: string
          format: uri
        prompt:
          type: string
      required:
        - issue_id
        - issue_number
        - app_url
        - prompt
    ErrorResponse:
      type: object
      properties:
        detail:
          type: string
        reason:
          type: string
      required:
        - detail
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      description: >-
        An ility API key, such as `ilk_1a2b3c4d_…`. Workspace owners create keys
        under Settings → API keys.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.